Package com.ericsson.otp.erlang

## Class OtpErlangDecodeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.ericsson.otp.erlang.OtpException
      - - com.ericsson.otp.erlang.OtpErlangException
        - - com.ericsson.otp.erlang.OtpErlangDecodeException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class OtpErlangDecodeException
      extends OtpErlangException

  Exception raised when an attempt is made to create an Erlang term by decoding a sequence of bytes that does not represent the type of term that was requested.
  See Also:
    `OtpInputStream`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OtpErlangDecodeException​(java.lang.String msg)` | Provides a detailed message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OtpErlangDecodeException

          public OtpErlangDecodeException​(java.lang.String msg)

      Provides a detailed message.